@echo off
ECHO Ova procedure kreira fajl Infoapi2018DatumDanasnji.7z u folderu C:\INFOAPI2018INSTALL.
ECHO Taj fajl se kopira kod korisnika i radi instalacija InfoAPI2018 servera.
ECHO Da bi procedura radila, neophodno je da imate instaliranu novu verziju SVN klijenta,
ECHO koja podrzava rad iz CMD, ili da rucno uradite apdejt InfoAPI2018 pre pokretanja
ECHO ove procedure.
ECHO Ukoliko nesto ne radi, kontaktirati Marka-Dj.
ECHO Pritisnuti "Enter" za nastavak, CTRL+C za abort.
ECHO ========================================================================================
Pause
@echo off
C:
CD \
cd infoapi2018
svn update
cd \
mkdir INFOAPI2018INSTALL
robocopy C:\Infoapi2018 C:\INFOAPI2018INSTALL /mir
cd C:\INFOAPI2018INSTALL 
timeout /t 10
rmdir .svn /q /s 
compall.exe
del /s /f *.prg
rd /s /q doc
cd alati 
rmdir compall /s /q
rmdir Dbf2Manager /s /q
rmdir "GenerisanjePolja - HandyStock" /s /q
rmdir HandyClUtil /s /q
rmdir "InfoAPI Primer C#" /s /q
rmdir Instalacije /s /q
rmdir KillAPI /s /q
rmdir MenuEdit /s /q
rmdir model /s /q
rmdir TEMP /s /q
rmdir VFPjsonTest /s /q
rmdir WebServis /s /q
rmdir xBarkod /s /q
rmdir xTools /s /q
del GetInnerJSON.html /s /q
del RestartIIS.bat /s /q
cd ..
rmdir Abyss /s /q
rename api_server_primer.ini api_server.ini
rmdir log /s /q
rmdir sessions /s /q
rmdir WebServis /s /q
cd oicf
del compdll.FXP /s /q
del compile.bat /s /q
del OICF.PJT /s /q
del OICF.PJX /s /q
del readme.txt /q /s
cd ..
cd modules
del readme.txt /s /q
cd C:\InfoAPI2018\api-v1
rmdir nekiDIR
cd ..
cd C:\INFOAPI2018INSTALL 
7za a -r "Infoapi2018%date%".7z


